Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools Liberty 1.2 Java API Reference 10g Release 3 (10.1.3) B25385-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.security.xmlsec.liberty.v12
Class LogoutRequest

`java.lang.Object
oracle.security.xmlsec.util.XMLNode
oracle.security.xmlsec.util.XMLElement
oracle.security.xmlsec.saml.SAMLMessage
oracle.security.xmlsec.samlp.RequestType
oracle.security.xmlsec.liberty.v12.LibRequestMessage
oracle.security.xmlsec.liberty.v12.LogoutRequest`

public class LogoutRequest
extends LibRequestMessage

This class represents the LogoutRequest element in the Liberty Single Logout protocol.

See Also:
  `LogoutResponse`

Field Summary

Fields inherited from class oracle.security.xmlsec.samlp.RequestType
`ATTRIBUTE_STATEMENT, AUTHENTICATION_STATEMENT, AUTHORIZATION_DECISION_STATEMENT`

Fields inherited from class oracle.security.xmlsec.util.XMLNode
`node, systemId`

Constructor Summary
`LogoutRequest(org.w3c.dom.Document owner)` Creates a new `LogoutRequest` instance within the specified XML Document.
`LogoutRequest(org.w3c.dom.Document owner, java.lang.String requestId, java.util.Date issueInstant, java.lang.String providerId)` Creates a new `LogoutRequest` instance within the specified XML Document.
`LogoutRequest(org.w3c.dom.Element element)` Creates a new `LogoutRequest` instance from the given Element node.
`LogoutRequest(org.w3c.dom.Element element, java.lang.String systemId)` Creates a new `LogoutRequest` instance from the given Element node.

Method Summary
`protected java.lang.String[]` | `getChildElementsLocalNames()` Returns the orderded set of the local names of the child elements specified in the schema for the XML element represented by the concrete subclass.
`protected java.lang.String[]` | `getChildElementsNSURIs()` Returns the orderded set of the namespce URIs for the child elements specified in the schema for the XML element represented by the concrete subclass.
`java.lang.String` | `getConsent()` Returns the value of this LogoutRequest element's consent attribute, or `null` if the attribute is not specified.
`oracle.security.xmlsec.saml.NameIdentifier` | `getNameIdentifier()` Returns the saml:NameIdentifier element contained in this element, or `null` if no samlp:NameIdentifier element is present.
`java.util.Date` | `getNotOnOrAfter()` Returns the value of this LogoutRequest element's NotOnOrAfter attribute, or `null` if the attribute is not specified.
`java.lang.String` | `getRelayState()` Returns the value contained in the RelayState child element of this LogoutRequest element, or <ode>null if no RelayState element set.
`java.lang.String` | `getSessionIndex()` Returns the value contained in the SessionIndex child element of this LogoutRequest, or `null` if no SessionIndex element is present.
`void` | `setConsent(java.lang.String consent)` Sets the value of this LogoutRequest element's consent attribute.
`void` | `setNameIdentifier(oracle.security.xmlsec.saml.NameIdentifier nameId)` Sets the saml:NameIdentifier child element in this element.
`void` | `setNotOnOrAfter(java.util.Date notOnOrAfter)` Sets the value of this LogoutRequest element's NotOnOrAfter attribute.
`void` | `setRelayState(java.lang.String value)` Sets the value of the RelayState child element in this LogoutRequest element.
`void` | `setSessionIndex(java.lang.String sessionIndex)` Sets the value of the SessionIndex child element in this LogoutRequest element.
`java.lang.String` | `toURLString(oracle.security.crypto.core.PrivateKey key, java.lang.String sigAlg)` Returns this `LogoutRequest` as a URL-encoded query string, optionally signed using the given private key and signature algorithm.

Methods inherited from class oracle.security.xmlsec.liberty.v12.LibRequestMessage
`addSignature, addSignature, getChildElementPosition, getID, getInstance, getProviderID, setProviderID`

Methods inherited from class oracle.security.xmlsec.samlp.RequestType
`addRespondWith, addRespondWithValue, getIssueInstant, getLocalNamesPrecedeDSig, getNSURIsPrecedeDSig, getRequestID, getRespondWiths, getRespondWithValues, setIssueInstant, setRequestID`

Methods inherited from class oracle.security.xmlsec.saml.SAMLMessage
`clearSignature, getInstance, getMajorVersion, getMinorVersion, getSignature, isSigned, setVersion, sign, sign, verify, verify`

Methods inherited from class oracle.security.xmlsec.util.XMLElement
`addNSPrefixAttr, addNSPrefixAttr, addNSPrefixAttrDefault, addNSPrefixAttrDefault, getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getChildElementsByTagName, getChildElementsByTagName, getChildElementsByTagNameNS, getChildElementsByTagNameNS, getDefaultNSPrefix, getElementsByTagName, getElementsByTagNameNS, getTagName, hasAttribute, hasAttributeNS, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setDefaultNSPrefix`

Methods inherited from class oracle.security.xmlsec.util.XMLNode
`appendChild, appendChild, appendTo, cloneNode, getAttributes, getChildNodes, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNode, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, getSystemId, hasAttributes, hasChildNodes, insertBefore, insertBefore, isSupported, normalize, removeChild, removeChild, replaceChild, replaceChild, setNodeValue, setPrefix, setSystemId, toBytesXML, toStringXML`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LogoutRequest

    public LogoutRequest(org.w3c.dom.Element element)
                  throws org.w3c.dom.DOMException

  Creates a new `LogoutRequest` instance from the given Element node.
Parameters:
  `element` - A Liberty LogoutRequest XML element.

### LogoutRequest

    public LogoutRequest(org.w3c.dom.Element element,
                         java.lang.String systemId)
                  throws org.w3c.dom.DOMException

  Creates a new `LogoutRequest` instance from the given Element node.
Parameters:
  `element` - A Liberty LogoutRequest XML element.
  `systemId` - The URI string system ID for the `LogoutRequest`.

### LogoutRequest

    public LogoutRequest(org.w3c.dom.Document owner)
                  throws org.w3c.dom.DOMException

  Creates a new `LogoutRequest` instance within the specified XML Document.
Parameters:
  `owner` - The owner document of the new Liberty LogoutRequest element.

### LogoutRequest

    public LogoutRequest(org.w3c.dom.Document owner,
                         java.lang.String requestId,
                         java.util.Date issueInstant,
                         java.lang.String providerId)
                  throws org.w3c.dom.DOMException

  Creates a new `LogoutRequest` instance within the specified XML Document.
Parameters:
  `owner` - The owner document of the new Liberty LogoutRequest element.
  `issueInstant` - The `IssueInstant` attribute.
  `providerId` - The `ProviderID` child element.

Method Detail

### setNameIdentifier

    public void setNameIdentifier(oracle.security.xmlsec.saml.NameIdentifier nameId)

  Sets the saml:NameIdentifier child element in this element. This required child element contains the name identifier of the Principal to which this notification pertains.

### getNameIdentifier

    public oracle.security.xmlsec.saml.NameIdentifier getNameIdentifier()

  Returns the saml:NameIdentifier element contained in this element, or `null` if no samlp:NameIdentifier element is present.
  Returns:
    A SAML `NameIdentifier` object.

### setSessionIndex

    public void setSessionIndex(java.lang.String sessionIndex)

  Sets the value of the SessionIndex child element in this LogoutRequest element. This optional child contains the session index in the authentication statement in the assertion that was used in establishing the session being terminated.

### getSessionIndex

    public java.lang.String getSessionIndex()

  Returns the value contained in the SessionIndex child element of this LogoutRequest, or `null` if no SessionIndex element is present.
  Returns:
    The session index specified in the SessionIndex child or `null` if this child is not specified.

### setRelayState

    public void setRelayState(java.lang.String value)
                       throws org.w3c.dom.DOMException

  Sets the value of the RelayState child element in this LogoutRequest element. This optional child element contains state information which may be relayed back in the response.
  Parameters:
    `value` - The value for the relay state.
  Throws:
    `org.w3c.dom.DOMException`

### getRelayState

    public java.lang.String getRelayState()

  Returns the value contained in the RelayState child element of this LogoutRequest element, or <ode>null if no RelayState element set.

### setConsent

    public void setConsent(java.lang.String consent)
                    throws org.w3c.dom.DOMException

  Sets the value of this LogoutRequest element's consent attribute.
  Parameters:
    `consent` - The attribute value.
  Throws:
    `org.w3c.dom.DOMException`

### getConsent

    public java.lang.String getConsent()

  Returns the value of this LogoutRequest element's consent attribute, or `null` if the attribute is not specified.

### setNotOnOrAfter

    public void setNotOnOrAfter(java.util.Date notOnOrAfter)
                         throws org.w3c.dom.DOMException

  Sets the value of this LogoutRequest element's NotOnOrAfter attribute.
  Parameters:
    `notOnOrAfter` - The attribute value.
  Throws:
    `org.w3c.dom.DOMException`

### getNotOnOrAfter

    public java.util.Date getNotOnOrAfter()

  Returns the value of this LogoutRequest element's NotOnOrAfter attribute, or `null` if the attribute is not specified.

### toURLString

    public java.lang.String toURLString(oracle.security.crypto.core.PrivateKey key,
                                        java.lang.String sigAlg)
                                 throws oracle.security.xmlsec.dsig.SigningException

  Returns this `LogoutRequest` as a URL-encoded query string, optionally signed using the given private key and signature algorithm.
  Parameters:
    `key` - The private signing key. If `null`, the query string will not be signed.
    `sigAlg` - The URI identifying the signature algorithm to use. If `null`, the query string will not be signed.
  Throws:
    `oracle.security.xmlsec.dsig.SigningException` - If an error occurs computing the signature.

### getChildElementsNSURIs

    protected java.lang.String[] getChildElementsNSURIs()

  Description copied from class: `LibRequestMessage`
  Returns the orderded set of the namespce URIs for the child elements specified in the schema for the XML element represented by the concrete subclass.
  Specified by:
    `getChildElementsNSURIs` in class `LibRequestMessage`

### getChildElementsLocalNames

    protected java.lang.String[] getChildElementsLocalNames()

  Description copied from class: `LibRequestMessage`
  Returns the orderded set of the local names of the child elements specified in the schema for the XML element represented by the concrete subclass.
  Specified by:
    `getChildElementsLocalNames` in class `LibRequestMessage`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools Liberty 1.2 Java API Reference 10g Release 3 (10.1.3) B25385-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005, 2006 , Oracle. All rights reserved.